Uses of Class
org.alfresco.rest.api.search.context.SearchRequestContext
-
Packages that use SearchRequestContext Package Description org.alfresco.rest.api.search.context org.alfresco.rest.api.search.impl -
-
Uses of SearchRequestContext in org.alfresco.rest.api.search.context
Methods in org.alfresco.rest.api.search.context that return SearchRequestContext Modifier and Type Method Description static SearchRequestContextSearchRequestContext. from(SearchQuery searchQuery) -
Uses of SearchRequestContext in org.alfresco.rest.api.search.impl
Methods in org.alfresco.rest.api.search.impl with parameters of type SearchRequestContext Modifier and Type Method Description protected voidSearchMapper. buildPivotKeys(List<String> pivotKeys, Pivot aPivot, List<StatsRequestParameters> stats, FacetFields facetFields, List<RangeParameters> ranges, SearchRequestContext searchRequestContext)voidSearchMapper. fromPivot(SearchParameters sp, List<StatsRequestParameters> stats, FacetFields facetFields, List<RangeParameters> ranges, List<Pivot> multiplePivots, SearchRequestContext searchRequestContext)voidSearchMapper. fromScope(SearchParameters sp, Scope scope, SearchRequestContext searchRequestContext)SearchParameters from Scope objectprotected List<GenericFacetResponse>ResultMapper. getFieldStats(SearchRequestContext searchRequestContext, Map<String,Set<Metric>> stats)protected List<GenericFacetResponse>ResultMapper. getPivots(SearchRequestContext searchRequest, List<GenericFacetResponse> pivots, List<GenericFacetResponse> stats)CollectionWithPagingInfo<Node>ResultMapper. toCollectionWithPagingInfo(Params params, SearchRequestContext searchRequestContext, SearchQuery searchQuery, ResultSet results)Turns the results into a CollectionWithPagingInfoSearchContextResultMapper. toSearchContext(SolrJSONResultSet solrResultSet, SearchRequestContext searchRequestContext, SearchQuery searchQuery, int notFound)Uses the results from Solr to set the Search ContextSearchParametersSearchMapper. toSearchParameters(Params params, SearchQuery searchQuery, SearchRequestContext searchRequestContext)Turn the SearchQuery params serialized by Jackson into the Java SearchParameters object
-